function porovnani(x_1_all,vahy,x_all)
for i=1:size(x_all,1)
    figure
    x_1=x_1_all(i,:);    
    x=x_all(i);
    u=[x_1' vahy'];
    u=sortrows(u,1)';
    plot(u(1,:),u(2,:),'.'); hold on; plot(x+0*(1:10),max(vahy)*(0:9)/9); hold off
end
end